scala.swing

# Table

#### class Table extends Component with Wrapper

Displays a matrix of items.

To obtain a scrollable table or row and columns headers, wrap the table in a scroll pane.

Source
  Table.scala
See also

  javax.swing.JTable

Linear Supertypes
Wrapper, Scrollable, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Table
2. Wrapper
3. Scrollable
4. Component
5. UIElement
6. LazyPublisher
7. Publisher
8. Reactor
9. Proxy
10. AnyRef
11. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Table(rows: Int, columns: Int)

2. #### new Table(rowData: Array[Array[Any]], columnNames: Seq[_])

3. #### new Table()

### Type Members

1. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def apply(row: Int, column: Int): Any

   Get the current value of the given cell.

   Get the current value of the given cell. The given cell coordinates are in view coordinates and thus not necessarily the same as for the model.

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def autoResizeMode: Value

9. #### def autoResizeMode_=(x: Value): Unit

10. #### def background: Color

    Definition Classes
      UIElement

11. #### def background_=(c: Color): Unit

    Definition Classes
      UIElement

12. #### def blockIncrement(visibleRect: Rectangle, orientation: Value, direction: Int): Int

    Definition Classes
      Wrapper → Scrollable

13. #### def border: Border

    Definition Classes
      Component

14. #### def border_=(b: Border): Unit

    Definition Classes
      Component

15. #### def bounds: Rectangle

    Definition Classes
      UIElement

16. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

17. #### def cursor: Cursor

    Definition Classes
      UIElement

18. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

19. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

20. #### def displayable: Boolean

    Definition Classes
      UIElement

21. #### def editor(row: Int, column: Int): TableCellEditor

    Attributes
      protected

22. #### def enabled: Boolean

    Definition Classes
      Component

23. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

24. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → AnyRef → Any

26. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

27. #### def focusable: Boolean

    Definition Classes
      Component

28. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

29. #### def font: Font

    Definition Classes
      UIElement

30. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

31. #### def foreground: Color

    Definition Classes
      UIElement

32. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

33. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

34. #### def gridColor: Color

35. #### def gridColor_=(color: Color): Unit

36. #### def hasFocus: Boolean

    Definition Classes
      Component

37. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → AnyRef → Any

38. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

39. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

40. #### var initP: JComponent

    Definition Classes
      Component

41. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

42. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

43. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

44. #### object keys extends Publisher

45. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

46. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

47. #### def locale: Locale

    Definition Classes
      UIElement

48. #### def location: Point

    Definition Classes
      UIElement

49. #### def locationOnScreen: Point

    Definition Classes
      UIElement

50. #### def maximumSize: Dimension

    Definition Classes
      UIElement

51. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

52. #### def minimumSize: Dimension

    Definition Classes
      UIElement

53. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

54. #### def model: TableModel

55. #### val modelListener: TableModelListener

    Attributes
      protected

56. #### def modelToViewColumn(idx: Int): Int

57. #### def model_=(x: TableModel): Unit

58. #### object mouse extends AnyRef

    Contains publishers for various mouse events.

59. #### def name: String

    Definition Classes
      Component

60. #### def name_=(s: String): Unit

    Definition Classes
      Component

61. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

62. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

63. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

64. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

65. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

66. #### def opaque: Boolean

    Definition Classes
      Component

67. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

68. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

69. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

70. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

71. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

72. #### lazy val peer: JTable

    Definition Classes
      Table → Component → UIElement

73. #### def preferredSize: Dimension

    Definition Classes
      UIElement

74. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

75. #### def preferredViewportSize: Dimension

    Definition Classes
      Wrapper → Scrollable

76. #### def preferredViewportSize_=(dim: Dimension): Unit

77. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

78. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

79. #### def rendererComponent(isSelected: Boolean, focused: Boolean, row: Int, column: Int): Component

    Supplies a renderer component for a given cell.

    Supplies a renderer component for a given cell.

    Attributes
      protected

80. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

81. #### def repaint(): Unit

    Definition Classes
      UIElement

82. #### def requestFocus(): Unit

    Definition Classes
      Component

83. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

84. #### def revalidate(): Unit

    Definition Classes
      Component

85. #### def rowCount: Int

86. #### def rowHeight: Int

87. #### def rowHeight_=(x: Int): Unit

88. #### def scrollablePeer: JTable

    Attributes
      protected
    Definition Classes
      Table → Wrapper

89. #### object selection extends Publisher

90. #### def selectionBackground: Color

91. #### def selectionBackground_=(c: Color): Unit

92. #### def selectionForeground: Color

93. #### def selectionForeground_=(c: Color): Unit

94. #### def self: Component

    Definition Classes
      UIElement → Proxy

95. #### def showGrid: Boolean

96. #### def showGrid_=(grid: Boolean): Unit

97. #### def showing: Boolean

    Definition Classes
      UIElement

98. #### def size: Dimension

    Definition Classes
      UIElement

99. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

100. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

101. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → Proxy → AnyRef → Any

102. #### def toolkit: Toolkit

     Definition Classes
       UIElement

103. #### def tooltip: String

     Definition Classes
       Component

104. #### def tooltip_=(t: String): Unit

     Definition Classes
       Component

105. #### def tracksViewportHeight: Boolean

     Definition Classes
       Wrapper → Scrollable

106. #### def tracksViewportWidth: Boolean

     Definition Classes
       Wrapper → Scrollable

107. #### def unitIncrement(visibleRect: Rectangle, orientation: Value, direction: Int): Int

     Definition Classes
       Wrapper → Scrollable

108. #### def unsubscribe(listener: Reaction): Unit

     Definition Classes
       LazyPublisher → Publisher

109. #### def update(row: Int, column: Int, value: Any): Unit

     Change the value of the given cell.

110. #### def updateCell(row: Int, column: Int): Unit

     Visually update the given cell.

111. #### def viewToModelColumn(idx: Int): Int

112. #### def visible: Boolean

     Definition Classes
       UIElement

113. #### def visible_=(b: Boolean): Unit

     Definition Classes
       UIElement

114. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

115. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

116. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

117. #### def xLayoutAlignment: Double

     Used by certain layout managers, e.

     Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

     Definition Classes
       Component

118. #### def xLayoutAlignment_=(x: Double): Unit

     Definition Classes
       Component

119. #### def yLayoutAlignment: Double

     Definition Classes
       Component

120. #### def yLayoutAlignment_=(y: Double): Unit

     Definition Classes
       Component

### Deprecated Value Members

1. #### lazy val Mouse: Table.this.mouse.type

   Definition Classes
     Component
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use mouse instead

2. #### def size_=(dim: Dimension): Unit

   Definition Classes
     UIElement
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Explicit size assignment for UIElements is not supported anymore. ".+("Use a layout manager or subclass Window.")

### Inherited from Wrapper

### Inherited from Scrollable

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any